WisdomTree Bitcoin
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/wisdomtree-bitcoin/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"low": 19.8,
"date": "2026-09-30",
"high": 20.39,
"open": 19.82,
"close": 20.17,
"volume": 48855
},
{
"low": 19.894,
"date": "2026-10-01",
"high": 20.09,
"open": 19.96,
"close": 20.07,
"volume": 15107
},
{
"low": 20.4,
"date": "2026-10-02",
"high": 20.78,
"open": 20.535,
"close": 20.4,
"volume": 35667
}
]
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"eps_estimate_next_quarter": null,
"quarterly_earnings_growth": null,
"eps_estimate_current_quarter": null
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"one_month_return": 31.19,
"six_month_return": 60.63,
"three_month_return": 66.8
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/wisdomtree-bitcoin/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": "-",
"total_btc_percentage": 0.039,
"share_price_change_state": ""
}
bitcoin-acquisitions(Bitcoin Acquisitions) returns 404{"error":"Data unavailable for this company"}bitcoin-holdings(Bitcoin Holdings) returns 404{"error":"Data unavailable for this company"}bitcoin-holdings-usd(Bitcoin Holdings USD) returns 404{"error":"Data unavailable for this company"}